# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "mm1-node"
version = "0.7.11"
build = false
exclude = ["**/*.snap"]
publish = true
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "M/M/1! Queueing, do you speak it?!"
readme = false
license = "MIT"
repository = "https://github.com/agner-rs/mm1"

[features]
default = []
multinode = [
    "name-service",
    "dep:mm1-proto-well-known",
    "dep:mm1-multinode",
]
name-service = [
    "dep:mm1-proto-well-known",
    "dep:mm1-name-service",
]

[lib]
name = "mm1_node"
path = "src/lib.rs"

[dependencies.derive_more]
version = "^2.0"
features = [
    "debug",
    "from",
]

[dependencies.either]
version = "^1.15.0"

[dependencies.eyre]
version = "^0.6"

[dependencies.futures]
version = "^0.3"

[dependencies.mm1-address]
version = "=0.7.11"

[dependencies.mm1-ask]
version = "=0.7.11"

[dependencies.mm1-common]
version = "=0.7.11"
features = [
    "futures",
    "logging",
]

[dependencies.mm1-core]
version = "=0.7.11"

[dependencies.mm1-multinode]
version = "=0.7.11"
features = []
optional = true

[dependencies.mm1-name-service]
version = "=0.7.11"
features = []
optional = true

[dependencies.mm1-proto]
version = "=0.7.11"

[dependencies.mm1-proto-network-management]
version = "=0.7.11"

[dependencies.mm1-proto-system]
version = "=0.7.11"

[dependencies.mm1-proto-well-known]
version = "=0.7.11"
optional = true

[dependencies.mm1-runnable]
version = "=0.7.11"

[dependencies.num_cpus]
version = "^1"

[dependencies.pin-project]
version = "^1.1.10"

[dependencies.scc]
version = "^2.3.4"

[dependencies.serde]
version = "^1.0"
features = ["derive"]

[dependencies.serde-value]
version = "^0.7"

[dependencies.thiserror]
version = "^2.0"

[dependencies.tokio]
version = "^1.48.0"
features = [
    "sync",
    "rt",
    "rt-multi-thread",
    "macros",
    "net",
]

[dependencies.tracing]
version = "^0.1"

[dependencies.url]
version = "^2.5"

[dev-dependencies.insta]
version = "^1.43"
features = ["yaml"]

[dev-dependencies.serde_yaml]
version = "^0.9"

[dev-dependencies.test-case]
version = "^3.3.1"
